This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 707434 - Cannot connect to hidden wireless network
Cannot connect to hidden wireless network
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
16
All Linux
high Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
: 680097 693454 712078 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-24 23:33 EDT by donrhummy
Modified: 2013-02-26 10:21 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 10:21:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description donrhummy 2011-05-24 23:33:23 EDT
Description of problem:
unable to connect to hidden wireless network.

I have a netbook that currently has Fedora 11 installed (was previously installed via live usb) where wireless works perfectly. I booted into Fedora 15 via live USB and tried to set up a wireless connection to my network. there are two issues here:

1. You have to use the command line to even get the hidden network to show up (via altering the wpa_supplicant.conf file to add network={...}, then suspending, then on restart it shows up)

2. Even using the command line to start wpa_supplicant manually (after turning off NetworkManager) via wpa_supplicant -B -iwlan0 -c/mywpa.conf does not work. It keeps failing over and over.

#2 makes no sense as this SAME EXACT computer can connect to the same wireless network ALSO via Fedora (11). So I know the password is correct, the network name is correct, so something in wpa_supplicant or wpa_passphrase for Fedora 15 must be wrong.

Version-Release number of selected component (if applicable):


How reproducible: On a netbook with Atheroos A928x wireless, try to connect to hidden network.


Steps to Reproduce:
1. Add wireless network to a .conf file
2. Start wpa_supplicant with that fille
3.
  
Actual results:
Fails over and  over with "reason 0"

Expected results:
That it would connect.

Additional info:

On this SAME EXACT computer I can connect to the same wireless network via Fedora (11).
Comment 1 Elad Alfassa 2011-05-25 05:07:06 EDT
You don't have to use the command line to set up a hidden wireless network, you can go to gnome's network settings UI, and select wireless, then select other in network name.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 donrhummy 2011-05-25 12:49:43 EDT
(In reply to comment #1)
> You don't have to use the command line to set up a hidden wireless network, you
> can go to gnome's network settings UI, and select wireless, then select other
> in network name.
> 
> 
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers

No, I tried that but that button was greyed out. No matter what I did, I could not get that button to work. And when I turned wireless off and then on again (hoping that would finally activate that button) it simply told me wireless was unavailable, and I was never able to get it to work again.
Comment 3 collura 2011-06-03 01:43:01 EDT
related report
   https://bugzilla.redhat.com/show_bug.cgi?id=703471
Comment 4 donrhummy 2011-06-03 10:09:30 EDT
(In reply to comment #3)
> related report
>    https://bugzilla.redhat.com/show_bug.cgi?id=703471

That *might* be related, but it's not the same. I'm unable to connect to a hidden wireless network at all. I cannot even get a hidden wireless network to show up in the list without using the command line to alter wpa_supplicant.conf. But even then, it never connects but instead fails every time despite the correct password/settings. That doesn't really seem the same as simply losing connection upon restart (bug 703471).
Comment 5 collura 2011-06-24 05:25:38 EDT
still a ways to go then.

f15-gnome seems to be autoconnecting the wifi after reboot as of last few days. 

not sure what triggered it but currently running:

  NetworkManager-1:0.8.9997-4.git20110620.fc15 (x86_64)
  gnome-settings-daemon-3.0.1-6.fc15 (x86_64)

(f15-kde wifi still wont connect)
Comment 6 Elad Alfassa 2011-06-24 05:29:18 EDT
moving to NetworkManager.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Jirka Klimes 2011-06-28 03:50:18 EDT
First there are many updates for NetworkManager, Gnome and other components against F15 Live ISO, so it helps to upgrade.

(In reply to comment #2)
> (In reply to comment #1)
> > You don't have to use the command line to set up a hidden wireless network, you
> > can go to gnome's network settings UI, and select wireless, then select other
> > in network name.
> > 
> > 
> > 
> > -- 
> > Fedora Bugzappers volunteer triage team
> > https://fedoraproject.org/wiki/BugZappers
> 
> No, I tried that but that button was greyed out. No matter what I did, I could
> not get that button to work. And when I turned wireless off and then on again
> (hoping that would finally activate that button) it simply told me wireless was
> unavailable, and I was never able to get it to work again.

You probably talk about 'Options...', which is grayed when disconnected. However, you need 'Other...' item in Network Name combo box which is accessible via clicking on 'down arrow' of the combo.

Connecting to hidden SSID:
1. Open Network Settings (e.g. click the entry in applet menu or open the control center and select Network icon)
2. Click 'Wireless' on the left3.
3. Click open "Network Name" combo box
4. click "Other..." (last item)
5. Select your connection profile
6. Click 'Connect'

(In reply to comment #5)
> still a ways to go then.
> 
> f15-gnome seems to be autoconnecting the wifi after reboot as of last few days. 
> 
> not sure what triggered it but currently running:
> 
>   NetworkManager-1:0.8.9997-4.git20110620.fc15 (x86_64)
>   gnome-settings-daemon-3.0.1-6.fc15 (x86_64)
> 
> (f15-kde wifi still wont connect)

NetworkManager-1:0.8.9997-4.git20110620.fc15 contains fix for *auto* connecting to hidden networs (bug 707406)
Comment 8 Marius Andreiana 2012-02-08 16:56:13 EST
Still doesn't work in FC 16 with latest updates.


Feb  8 23:55:35 localhost NetworkManager[1013]: <warn> Activation (eth1/wireless): association took too long, failing activation.
Feb  8 23:55:35 localhost NetworkManager[1013]: <info> (eth1): device state change: config -> failed (reason 'supplicant-timeout') [50 120 11]
Feb  8 23:55:35 localhost NetworkManager[1013]: NetworkManager[1013]: <warn> Activation (eth1/wireless): association took too long, failing activation.
Feb  8 23:55:35 localhost NetworkManager[1013]: NetworkManager[1013]: <info> (eth1): device state change: config -> failed (reason 'supplicant-timeout') [50 120 11]
Feb  8 23:55:35 localhost NetworkManager[1013]: <warn> Activation (eth1) failed for access point (Marius)
Feb  8 23:55:35 localhost NetworkManager[1013]: NetworkManager[1013]: <warn> Activation (eth1) failed for access point (Marius)
Feb  8 23:55:35 localhost NetworkManager[1013]: <warn> Activation (eth1) failed.
Feb  8 23:55:35 localhost NetworkManager[1013]: NetworkManager[1013]: <warn> Activation (eth1) failed.
Feb  8 23:55:35 localhost NetworkManager[1013]: <info> (eth1): device state change: failed -> disconnected (reason 'none') [120 30 0]
Feb  8 23:55:35 localhost NetworkManager[1013]: <info> (eth1): deactivating device (reason 'none') [0]
Feb  8 23:55:35 localhost NetworkManager[1013]: NetworkManager[1013]: <info> (eth1): device state change: failed -> disconnected (reason 'none') [120 30 0]
Feb  8 23:55:35 localhost NetworkManager[1013]: NetworkManager[1013]: <info> (eth1): deactivating device (reason 'none') [0]
Feb  8 23:55:35 localhost NetworkManager[1013]: <info> Policy set 'Wired connection 1' (usb0) as default for IPv4 routing and DNS.
Feb  8 23:55:35 localhost NetworkManager[1013]: NetworkManager[1013]: <info> Policy set 'Wired connection 1' (usb0) as default for IPv4 routing and DNS.
Feb  8 23:55:35 localhost NetworkManager[1013]: <info> Policy set 'Wired connection 1' (usb0) as default for IPv4 routing and DNS.
Feb  8 23:55:35 localhost NetworkManager[1013]: NetworkManager[1013]: <info> Policy set 'Wired connection 1' (usb0) as default for IPv4 routing and DNS.
Feb  8 23:55:35 localhost NetworkManager[1013]: <warn> Couldn't disconnect supplicant interface: This interface is not connected.
Feb  8 23:55:35 localhost NetworkManager[1013]: NetworkManager[1013]: <warn> Couldn't disconnect supplicant interface: This interface is not connected.
Feb  8 23:55:35 localhost NetworkManager[1013]: NetworkManager[1013]: <warn> Couldn't disconnect supplicant interface: This interface is not connected.
Feb  8 23:55:35 localhost NetworkManager[1013]: <warn> Couldn't disconnect supplicant interface: This interface is not connected.
Comment 9 Marius Andreiana 2012-02-11 05:24:47 EST
Any other info we could provide to help address this?

FC16 steps to reproduce:
1. Network applet -> Connect to hidden wireless
2. Enter Network name (SSID), security None
3. Trying to connect, fails

Other OSes and phones can use the same network with no issues.
Comment 10 Marius Andreiana 2012-02-11 05:28:49 EST
*** Bug 693454 has been marked as a duplicate of this bug. ***
Comment 11 Marius Andreiana 2012-02-11 05:30:33 EST
*** Bug 712078 has been marked as a duplicate of this bug. ***
Comment 12 Marius Andreiana 2012-02-11 05:34:46 EST
*** Bug 680097 has been marked as a duplicate of this bug. ***
Comment 13 Marius Andreiana 2012-02-11 05:36:10 EST
Other possible dupes, older and with more info:
https://bugzilla.redhat.com/show_bug.cgi?id=516788
https://bugzilla.redhat.com/show_bug.cgi?id=448437
Comment 14 Jirka Klimes 2012-02-13 04:38:44 EST
(In reply to comment #9)
> Any other info we could provide to help address this?
> 
Please grab /var/log/messages file. Also, wpa_supplicant.log is interested here, because there was a timeout in associating with the AP:
Feb  8 23:55:35 localhost NetworkManager[1013]: NetworkManager[1013]: <warn>
Activation (eth1/wireless): association took too long, failing activation.

Please, follow this procedure to activate wpa_supplicant debugging logs:
http://live.gnome.org/action/edit/NetworkManager/Debugging#wpa_supplicant

> FC16 steps to reproduce:
> 1. Network applet -> Connect to hidden wireless
> 2. Enter Network name (SSID), security None
> 3. Trying to connect, fails
> 
> Other OSes and phones can use the same network with no issues.

Did you try, fallback mode with nm-applet?
1. Left click nm-applet
2. Clock 'Connect to Hidden Wireless Network...'
Comment 15 Marius Andreiana 2012-02-13 14:39:54 EST
Meanwhile I've changed the network to a visible one, which works. 
I'll leave this bug for somebody else to provide the required info, or for me if I'll use a hidden network in the future.

Thanks
Comment 16 Fedora End Of Life 2013-01-16 16:21:56 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Keywan Najafi Tonekaboni 2013-02-03 07:03:31 EST
Hey,

what is the state of this bug? I have this problem and using Fedora 18. It's really annoying, because I need wlan at one spot and have no access to the access point. So I can't change the network settings to visible.

How I can use fallback mode? Is it still available in Fedora 18?

I can today and tomorrow supply you with debug info, if you tell me what to do.
Comment 18 Jirka Klimes 2013-02-11 04:31:49 EST
First of all, connecting to a hidden Wi-Fi network works in F18. I've just tried it using Gnome3 control-center.
1. Open gnome-control-center
2. Click Network icon
3. Select Wireless in the left pane
4. Click 'Connect to a Hidden Network' button on the right
5. Fill in Network Name (SSID) and proper security and password
you are connected

(using nm-applet you should left-click it and then select last but one entry:
"Connect to a Hidden Wireless Network....)"

BTW, the fallback mode is still available in F18. control-panel->Details->Graphics.

So, had you still experience any problems, please describe your situation in more detail. Also provide us version of software used (NetworkManager, kernel, wpa_supplicant, Gnome) and what Wi-Fi device/driver do you use. And attach /var/log/messages from when you tried to connect.
Comment 19 Fedora End Of Life 2013-02-26 10:21:34 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.